Modify

Opened 5 years ago

Closed 4 years ago

Last modified 4 years ago

#10864 closed defect (fixed)

text overflow of note

Reported by: Klumbumbus Owned by: ToeBee
Priority: normal Milestone: 15.04
Component: Core notes Version:
Keywords: template_report Cc:

Description

There is a text overflow of this note/278197. Maybe due to the long URL. (There was the same problem also with the plugin)


Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-12-17 15:35:00
Last Changed Author: Klumbumbus
Revision: 7819
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Relative URL: ^/trunk
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-12-17 15:17:17 +0100 (Wed, 17 Dec 2014)
Last Changed Rev: 7819

Identification: JOSM/1.5 (7819 en) Windows 7 32-Bit
Memory Usage: 247 MB / 742 MB (119 MB allocated, but free)
Java version: 1.7.0_71, Oracle Corporation, Java HotSpot(TM) Client VM
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:C:\Program Files\Java\jre7\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest.jnlp, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,768m, -Djnlpx.splashport=49695, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Dataset consistency test: No problems found

Plugins:
- DirectUpload (30737)
- HouseNumberTaggingTool (30762)
- OpeningHoursEditor (30737)
- PicLayer (30762)
- Tracer2 (30695)
- buildings_tools (30762)
- download_along (30762)
- editgpx (30737)
- imagery_offset_db (30808)
- measurement (30737)
- mirrored_download (30762)
- notes (v0.9.5)
- public_transport (30762)
- reltoolbox (30841)
- reverter (30737)
- tag2link (30719)
- terracer (30737)
- turnrestrictions (30762)
- undelete (30762)
- utilsplugin2 (30762)
- wikipedia (30780)

Last errors/warnings:
- W: TMS - Failed downloading https://b.tile.openstreetmap.org/18/140473/87946.png: Read timed out
- W: TMS - Failed downloading https://a.tile.openstreetmap.org/18/140472/87944.png: Read timed out
- W: TMS - Failed downloading https://b.tile.openstreetmap.org/18/140471/87944.png: Read timed out
- W: TMS - Failed downloading https://c.tile.openstreetmap.org/18/140470/87944.png: Server returned HTTP response code: 504 for URL: https://a.tile.openstreetmap.org/18/140470/87944.png
- W: TMS - Failed downloading https://a.tile.openstreetmap.org/18/140469/87944.png: Server returned HTTP response code: 504 for URL: https://c.tile.openstreetmap.org/18/140469/87944.png

Attachments (4)

note_text_overflow.png (5.8 KB) - added by Klumbumbus 5 years ago.
longnote.png (1.8 KB) - added by Klumbumbus 4 years ago.
longnote2.png (1.3 KB) - added by Klumbumbus 4 years ago.
transparentnote.png (10.7 KB) - added by Klumbumbus 4 years ago.

Download all attachments as: .zip

Change History (19)

Changed 5 years ago by Klumbumbus

Attachment: note_text_overflow.png added

comment:1 Changed 5 years ago by Klumbumbus

Keywords: notes added

comment:2 Changed 5 years ago by ToeBee

Yep it is the URL. The word wrapping in the tooltip popup is completely brain-dead. Any long string without spaces will cause this. URLs are of course the most common source of such strings. Here in the US we actually get a lot of notes with long URLs from Craigslist users. But the pop-up needs to be completely redone anyway so yeah... It will get better at some point :)

comment:3 Changed 5 years ago by Don-vip

Component: CoreCore notes

Moving notes tickets to their own component

comment:4 Changed 5 years ago by Don-vip

Keywords: notes removed

comment:5 Changed 5 years ago by skyper

second this

comment:6 Changed 4 years ago by simon04

Resolution: fixed
Status: newclosed

In 8213/josm:

Base note drawing on JTextArea - fixes #10864 - overflow for long URLs

comment:7 Changed 4 years ago by simon04

Milestone: 15.04

comment:8 Changed 4 years ago by Klumbumbus

Resolution: fixed
Status: closedreopened

Note text display is broken for me in r8229


Changed 4 years ago by Klumbumbus

Attachment: longnote.png added

comment:9 Changed 4 years ago by simon04

Hm, only Windows seems to be affected. It works fine on Arch Linux …

comment:10 Changed 4 years ago by simon04

Resolution: fixed
Status: reopenedclosed

In 8235/josm:

hopefully fix #10864 - Note drawing on Windows

comment:11 Changed 4 years ago by Klumbumbus

Resolution: fixed
Status: closedreopened

Sorry, still not fixed:


Revision: 8240
Repository Root: http://josm.openstreetmap.de/svn
Relative URL: ^/trunk
Last Changed Author: simon04
Last Changed Date: 2015-04-20 00:15:43 +0200 (Mon, 20 Apr 2015)
Build-Date: 2015-04-20 01:31:09
URL: http://josm.openstreetmap.de/svn/trunk
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last Changed Rev: 8240

Identification: JOSM/1.5 (8240 en) Windows 7 32-Bit
Memory Usage: 247 MB / 742 MB (76 MB allocated, but free)
Java version: 1.8.0_45, Oracle Corporation, Java HotSpot(TM) Client VM
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:C:\Program Files\Java\jre1.8.0_45\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest-bla.jnlp, -Djnlpx.remove=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,768m, -Djnlpx.splashport=54826, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Dataset consistency test: No problems found

Changed 4 years ago by Klumbumbus

Attachment: longnote2.png added

Changed 4 years ago by Klumbumbus

Attachment: transparentnote.png added

comment:12 Changed 4 years ago by Klumbumbus

better image: (backgronud of note text is transparent)


comment:13 Changed 4 years ago by simon04

Damn, now the height is affected … I wonder why the JTextArea behaves so differently. The original behaviour (before r8213+r8235) was better than the current. Maybe we should return to the old drawing implementation (which has been around since open street bugs according to the source code comment)?

comment:14 Changed 4 years ago by simon04

Resolution: fixed
Status: reopenedclosed

In 8264/josm:

hopefully fix #10864 - revert r8235, r8213 - Note layer: return to JToolTip based rendering - wrap long URLs using zero width space U+8203

comment:15 Changed 4 years ago by simon04

Sorry for the troubles and instabilities caused with the attempts for address this issue!

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain ToeBee.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.